import 'package:fis_jsonrpc/rpc.dart';

import 'base.dart';

abstract class IContractTemplateManager implements IManager {
  /// 获取签约模板
  Future<ContractTemplateDTO?> getContractTemplateDetail(String code);

  /// 根据key值获取模板
  Future<ContractTemplateDTO?> getContractTemplateDetailByKey(String key);

  /// 获取模板列表
  Future<List<ContractTemplateDTO>?> getContractTemplatePageAsync();
}
